#gives random attributes to mobs
execute as @e[type=!#r_a:ignore_ra,tag=!ignore_ra] run function r_a:attribute_entity

#makes flaming mobs set the ground on fire occasionally
execute at @e[tag=Flaming] if predicate r_a:2per run fill ~ ~ ~ ~ ~ ~ fire replace air

#particles when mobs have special traits
execute at @e[tag=Giant,tag=!Ultimate] run particle minecraft:glow ~ ~1 ~ 1 1 1 1 10 normal
execute at @e[tag=Tiny,tag=!Ultimate] run particle minecraft:glow ~ ~0.3 ~ 0.5 0.5 0.5 1 5 normal
execute at @e[tag=Toxic,tag=!Ultimate,tag=!Tiny] run particle minecraft:sneeze ~ ~1 ~ 1 1 1 0.1 5 normal
execute as @e[tag=Toxic,tag=!Ultimate] if entity @s[tag=Tiny] at @s run particle minecraft:sneeze ~ ~0.3 ~ 0.5 0.5 0.5 0.1 3 normal
execute at @e[tag=Flaming,tag=!Ultimate,tag=!Tiny] run particle minecraft:flame ~ ~1 ~ 1 1 1 0.1 5 normal
execute as @e[tag=Flaming,tag=!Ultimate] if entity @s[tag=Tiny] at @s run particle minecraft:flame ~ ~0.3 ~ 0.5 0.5 0.5 0.1 3 normal
execute at @e[tag=Ultimate,tag=!Tiny] run particle minecraft:wax_on ~ ~1 ~ 2 2 2 1 10 normal
execute at @e[tag=Ultimate,tag=!Giant] run particle minecraft:wax_on ~ ~0.3 ~ 0.5 0.5 0.5 1 3 normal

#makes toxic mobs immune to poison and wither
effect clear @e[tag=Toxic] poison
effect clear @e[tag=Toxic] wither

#makes toxic mobs poison nearby
execute at @e[tag=Toxic] run effect give @e[distance=..3,tag=!Toxic] poison 5 2

#makes kraken damage nearby entities and blind them
execute at @e[tag=mv_kraken] run execute as @e[tag=!mv_kraken, distance=10..20] if predicate r_a:2per run damage @s 3 minecraft:drown by @e[limit=1,sort=nearest,tag=mv_kraken]
execute at @e[tag=mv_kraken] run execute as @e[tag=!mv_kraken, distance=..20] at @s if predicate r_a:2per if block ~ ~-1 ~ minecraft:water run tp @s ~ ~-1 ~
execute at @e[tag=mv_kraken] run execute as @e[tag=!mv_kraken, distance=..10] if predicate r_a:2per run damage @s 5 minecraft:drown by @e[limit=1,sort=nearest,tag=mv_kraken]
execute at @e[tag=mv_kraken] run execute as @e[type=boat, distance=..20] if predicate r_a:2per run function r_a:krakendestroy
execute at @e[tag=mv_kraken] run effect give @e[tag=!mv_kraken, distance=..20] blindness 30 2 false

#empowers nether's terror fireballs
execute at @e[tag=mv_terror] as @e[type=fireball,distance=..10] run attribute @s minecraft:generic.scale modifier add 7107666174 2 add_multiplied_total
execute at @e[tag=mv_terror] as @e[type=fireball,distance=..10] run data merge entity @s {ExplosionPower:4}